Bug 288151 - initscripts do not recognize 'arp_ip_target' bonding option correctly
initscripts do not recognize 'arp_ip_target' bonding option correctly
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: initscripts (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: initscripts Maintenance Team
Brock Organ
: 247718 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-09-12 14:28 EDT by Andy Gospodarek
Modified: 2014-06-29 18:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0443
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 13:23:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
initscripts.patch (718 bytes, patch)
2007-09-12 14:28 EDT, Andy Gospodarek
no flags Details | Diff
updated patch (736 bytes, patch)
2007-09-12 16:24 EDT, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Andy Gospodarek 2007-09-12 14:28:03 EDT
Description of problem:

Initscripts support for BONDING_OPTS in ifcfg-bondX doesn't work well with
'arp_ip_target' option.  The idea was to make the BONDING_OPTS a direct
translation from the bonding module options that used to be listed in
/etc/modprobe.conf.  Since there is the capability to specify multiple
arp_ip_targets like this:


when using module options we currently can't use that syntax.  This would have
to be used

arp_ip_target=+ arp_ip_target=+

The attached patch fixes initscripts so the BONDING_OPTS parameter in
ifcfg-bondX can be used with the same syntax that was used for the bonding
module option.

Version-Release number of selected component (if applicable):

Comment 1 Andy Gospodarek 2007-09-12 14:28:03 EDT
Created attachment 193751 [details]
Comment 3 Bill Nottingham 2007-09-12 15:14:22 EDT
Are there any other parameters that have unusual syntax?
Comment 4 Andy Gospodarek 2007-09-12 15:35:50 EDT
Not that I know about.  The only other sysfs entries that have multiple options
are the slaves and bonding masters ones that are not included in the
BONDING_OPTS parameters.

$ cat kernel-2.6.18/linux-2.6.18.x86_64/Documentation/networking/bonding.txt |
grep + | grep sys
# echo +foo > /sys/class/net/bonding_masters
# echo +eth0 > /sys/class/net/bond0/bonding/slaves
# echo + > /sys/class/net/bond0/bonding/arp_ip_target
# echo + > /sys/class/net/bond0/bonding/arp_ip_target
echo +eth0 > /sys/class/net/bond0/bonding/slaves
echo +eth1 > /sys/class/net/bond0/bonding/slaves
echo +bond1 > /sys/class/net/bonding_masters
echo + /sys/class/net/bond1/bonding/arp_ip_target
echo +eth2 > /sys/class/net/bond1/bonding/slaves
echo +eth3 > /sys/class/net/bond1/bonding/slaves

Inspection of drivers/net/bonding/bond_sysfs.c brings us to the same conclusion.
Comment 5 Bill Nottingham 2007-09-12 16:24:34 EDT
Created attachment 193961 [details]
updated patch

Minor tweak to the patch, just moving the IFS stuff inside the loop.

You've got more bonding setups near at hand - it looks fine to me from a
regression standpoint, I'm assuming it works for you as well?
Comment 8 Bill Nottingham 2007-09-14 10:42:10 EDT
Actually, in retrospect, this is an issue that existed in RHEL 5 GA; it's not
new with 5.1 updates. Ergo, it doesn't really qualify. Raising for 5.2.
Comment 9 Andy Gospodarek 2007-09-14 11:29:41 EDT
I know it's a bug against RHEL5 as well, but I was hoping not to do the
documentation twice (and confuse users twice).
Comment 10 Andy Gospodarek 2007-09-17 16:38:43 EDT
This is the main reason why I'd like to see us fix this in 5.1.  The bug is now
public.  And for the record, Jay Vosburgh works for IBM and often sends issues
up to us via Issue Tracker.

Comment 11 RHEL Product and Program Management 2007-10-15 23:40:22 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 13 Bill Nottingham 2008-01-10 14:48:24 EST
Added in CVS.
Comment 16 Andy Gospodarek 2008-04-07 11:45:05 EDT
*** Bug 247718 has been marked as a duplicate of this bug. ***
Comment 19 errata-xmlrpc 2008-05-21 13:23:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.